# wiki-jogobot-euroexchange
This is a [Pywikibot](https://www.mediawiki.org/wiki/Manual:Pywikibot) based [Wikipedia Bot](https://commons.wikimedia.org/wiki/Commons:Bots)
of [User:JogoBot](https://commons.wikimedia.org/wiki/User:JogoBot) on
[Wikimedia Commons](https://commons.wikimedia.org/wiki/Main_Page).

## Requirements
* Python 3.4+ (at least it is only tested with those)
* pywikibot-core 2.0
* [jogobot-core module](https://git.golderweb.de/wiki/jogobot)

## Usage
```
python euroexchange.py
```

## Versions
* 0.1
  - First stable release to be run on wmflabs
  - Download recent sourcefile, generate images based on json job list and upload them

* 0.1.1
  - Bugfix: only update image if update period is reached

## Bugs
[jogobot-euroexchange Issues](https://git.golderweb.de/wiki/jogobot-euroexchange/issues)

## License
GPLv3+

## Author Information
Copyright 2018 Jonathan Golder <jonathan@golderweb.de>
